Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.utils
Class IncludeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.utils.IncludeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class IncludeTag
extends javax.servlet.jsp.tagext.TagSupport

Includes a jsp if (and only if) there is a particular http parameter in the current request.

Example usage: httpParam = "query". If a request with parameter "?query=test" is received, this tag will include "/WEB-INF/test.jsp"

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IncludeTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.String` | `getHttpParam()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getSuffix()`
`void` | `setHttpParam(java.lang.String httpParam)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setSuffix(java.lang.String suffix)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeTag

    public IncludeTag()

Method Detail

### getHttpParam

    public java.lang.String getHttpParam()

### setHttpParam

    public void setHttpParam(java.lang.String httpParam)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getPrefix

    public java.lang.String getPrefix()

### getSuffix

    public java.lang.String getSuffix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

### setSuffix

    public void setSuffix(java.lang.String suffix)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD